## libspelling 0.2.0

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, description: 'Generate documentation')
option('enchant', type: 'feature', value: 'enabled', description: 'Use enchant for spellchecking')
option('vapi', type: 'boolean', value: true, description: 'Generate Vala vapi')

=== debian/changelog ===
libspelling (0.2.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:17:29 +0000

libspelling (0.2.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:05:45 +0000

libspelling (0.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:30:03 +0000

libspelling (0.2.0-2) unstable; urgency=medium

  * debian/control: Build-Depends on libgirepository1.0-dev for now
    to workaround a meson issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jan 2024 10:18:38 +0100

libspelling (0.2.0-1) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Initial release. (Closes: #1053758)

  [ Sebastien Bacher ]
  * Do some tweak to the packaging and add autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Dec 2023 12:45:01 +0100

=== debian/control ===
Source: libspelling
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Section: libs
Standards-Version: 4.6.2.0
Homepage: https://gitlab.gnome.org/chergert/libspelling
Vcs-Browser: https://salsa.debian.org/gnome-team/libspelling
Vcs-Git: https://salsa.debian.org/gnome-team/libspelling.git
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen,
 libenchant-2-dev,
 libglib2.0-dev,
 libgirepository1.0-dev,
 libgtk-4-dev (>= 4.8),
 libgtksourceview-5-dev,
 libicu-dev,
 libpango1.0-dev,
 meson,
 valac,

Package: libspelling-1-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Spellcheck library for GTK 4.
 A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
 GNOME Builder's spellcheck implementation.

Package: gir1.2-spelling-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for libspelling.
 A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
 GNOME Builder's spellcheck implementation.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspelling-1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for libspelling
 A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
 GNOME Builder's spellcheck implementation.
 .
 This package contains the API reference.

Package: libspelling-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gir1.2-spelling-1 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-4-dev,
 libgtksourceview-5-dev,
 libspelling-1-1 (= ${binary:Version}),
Recommends: pkg-config
Description: Development files for libspelling
 A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
 GNOME Builder's spellcheck implementation.
 .
 This package contains the development files.

Package: libspelling-1-tests
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tests for libspelling
 A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
 GNOME Builder's spellcheck implementation.
 .
 This package contains test programs from the upstream code which are used
 for the autopkgtests.

## libspelling 0.2.1

=== debian/changelog ===
libspelling (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Add debian/watch
  * Add missing dh-sequence-gir
  * Enable all hardening flags
  * Fix symbols file
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 14:31:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: libspelling
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
 Section: libs
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/chergert/libspelling
 Vcs-Browser: https://salsa.debian.org/gnome-team/libspelling
 Vcs-Git: https://salsa.debian.org/gnome-team/libspelling.git
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  gi-docgen,
  libenchant-2-dev,
  libglib2.0-dev,
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Spellcheck library for GTK 4.
+Description: Spellcheck library for GTK 4
  A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
  GNOME Builder's spellcheck implementation.
 
@@ -34,7 +34,7 @@
 Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
-Description: GObject introspection files for libspelling.
+Description: GObject introspection files for libspelling
  A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
  GNOME Builder's spellcheck implementation.
  .
@@ -57,13 +57,12 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
  gir1.2-spelling-1 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-4-dev,
  libgtksourceview-5-dev,
  libspelling-1-1 (= ${binary:Version}),
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Development files for libspelling
  A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
  GNOME Builder's spellcheck implementation.

## libspelling 0.4.0

=== debian/changelog ===
libspelling (0.4.0-1) experimental; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 07:16:12 -0400

libspelling (0.3.1-1) experimental; urgency=medium

  * New upstream release
  * Rename libspelling-1-1 -> libspelling-1-2 to match soname bump
  * Bump minimum GTK to 4.15.5
  * Add Build-Depends: hunspell-en-us for build test
  * Add Provides: ${gir:Provides} to libspelling-1-dev
  * Add patch to update copyright annotations
  * Update debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Sep 2024 14:24:02 -0400

## libspelling 0.4.1

=== debian/changelog ===
libspelling (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 13:08:42 -0400

libspelling (0.4.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:26:07 -0400

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,18 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  gi-docgen,
+ hunspell-en-us <!nocheck>,
  libenchant-2-dev,
  libglib2.0-dev,
  libgirepository1.0-dev,
- libgtk-4-dev (>= 4.8),
+ libgtk-4-dev (>= 4.15.5),
  libgtksourceview-5-dev,
  libicu-dev,
  libpango1.0-dev,
  meson,
  valac,
 
-Package: libspelling-1-1
+Package: libspelling-1-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,9 +60,10 @@
  ${misc:Depends},
  gir1.2-spelling-1 (= ${binary:Version}),
  libglib2.0-dev,
- libgtk-4-dev,
+ libgtk-4-dev (>= 4.15.4),
  libgtksourceview-5-dev,
- libspelling-1-1 (= ${binary:Version}),
+ libspelling-1-2 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Recommends: pkgconf
 Description: Development files for libspelling
  A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and

## libspelling 0.4.3

=== debian/changelog ===
libspelling (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Oct 2024 10:42:12 -0400

## libspelling 0.4.5

=== debian/changelog ===
libspelling (0.4.5-2build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:30:13 +0100

libspelling (0.4.5-2) unstable; urgency=medium

  * Rebuild for migration to Testing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Dec 2024 15:48:06 -0500

libspelling (0.4.5-1) unstable; urgency=medium

  * New upstream release
  * Add debian/salsa-ci.yml
  * Add -common package for translations, etc.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 11:23:10 -0500

## libspelling 0.4.6

=== debian/changelog ===
libspelling (0.4.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 16:18:35 -0500

## libspelling 0.4.7

=== debian/changelog ===
libspelling (0.4.7-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:45:38 -0400

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,20 @@
 Package: libspelling-1-2
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libspelling-common
 Description: Spellcheck library for GTK 4
  A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
  GNOME Builder's spellcheck implementation.
+
+Package: libspelling-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: Spellcheck library for GTK 4 (common files)
+ A spellcheck library for GTK 4 heavily based upon GNOME Text Editor and
+ GNOME Builder's spellcheck implementation.
+ .
+ This package contains architecture-independent files such as translations.
 
 Package: gir1.2-spelling-1
 Architecture: any

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libspelling-1-dev,
         pkg-config
Restrictions: superficial

Test-Command: /usr/libexec/libspelling-1/test-cursor
Depends: libspelling-1-tests

## libspelling 0.4.8

=== debian/changelog ===
libspelling (0.4.8-2) unstable; urgency=medium

  * Team upload
  * d/control: Add missing Build-Depends on gir1.2-*-dev as reported
    by dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Use ${gir:Depends} for -dev package
  * d/control, d/rules: Only run gi-docgen when building -doc package
  * d/libspelling-1-doc.{install,links}: Fix registration with devhelp
  * d/libspelling-1-doc.links: Make API documentation more discoverable
  * d/libspelling-1-doc.doc-base: Register API documentation with doc-base
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 22:18:45 +0100

libspelling (0.4.8-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtksourceview5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 09:01:38 -0400

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,28 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
 Section: libs
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/chergert/libspelling
 Vcs-Browser: https://salsa.debian.org/gnome-team/libspelling
 Vcs-Git: https://salsa.debian.org/gnome-team/libspelling.git
 Build-Depends:
  debhelper-compat (= 13),
+ gir1.2-gio-2.0-dev,
+ gir1.2-gtk-4.0-dev,
+ gir1.2-gtksource-5-dev,
+ gobject-introspection (>= 1.80),
  dh-sequence-gir,
- gi-docgen,
  hunspell-en-us <!nocheck>,
  libenchant-2-dev,
  libglib2.0-dev,
- libgirepository1.0-dev,
  libgtk-4-dev (>= 4.15.5),
- libgtksourceview-5-dev,
+ libgtksourceview-5-dev (>= 5.10.0),
  libicu-dev,
  libpango1.0-dev,
  meson,
  valac,
+Build-Depends-Indep:
+ gi-docgen <!nodoc>,
 
 Package: libspelling-1-2
 Architecture: any
@@ -52,6 +56,7 @@
  This package contains the GObject-introspection data in binary typelib format.
 
 Package: libspelling-1-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -67,8 +72,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ ${gir:Depends},
  ${misc:Depends},
- gir1.2-spelling-1 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-4-dev (>= 4.15.4),
  libgtksourceview-5-dev,

## libspelling 0.4.9

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, description: 'Generate documentation')
option('enchant', type: 'feature', value: 'enabled', description: 'Use enchant for spellchecking')
option('introspection', type: 'feature', value: 'enabled', description: 'Generate gir data (requires gobject-introspection)')
option('sysprof', type: 'boolean', value: true, description: 'Generate profiler data using Sysprof')
option('vapi', type: 'boolean', value: true, description: 'Generate Vala vapi (Requires introspection)')
option('install-static', type: 'boolean', value: false, description: 'Install libspelling static archive')

=== debian/changelog ===
libspelling (0.4.9-1) unstable; urgency=medium

  * New upstream release
  * Salsa CI: disable locales reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:27:07 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/libspelling.git
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  gir1.2-gio-2.0-dev,
  gir1.2-gtk-4.0-dev,
  gir1.2-gtksource-5-dev,
  gobject-introspection (>= 1.80),
- dh-sequence-gir,
  hunspell-en-us <!nocheck>,
  libenchant-2-dev,
  libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

%:
	dh $@

configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Ddocs=false
else
configure_flags += -Ddocs=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libspelling-1-dev,
         pkgconf
Restrictions: superficial

Test-Command: /usr/libexec/libspelling-1/test-cursor
Depends: libspelling-1-tests
